Winnetwk.UNIVERSAL_NAME_INFO (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, class: Winnetwk, class: UNIVERSAL_NAME_INFO

Package com.sun.jna.platform.win32

# Class Winnetwk.UNIVERSAL_NAME_INFO

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Winnetwk.UNIVERSAL_NAME_INFO

Enclosing class:
  Winnetwk

@FieldOrder("lpUniversalName") public static class Winnetwk.UNIVERSAL_NAME_INFO extends Structure
The UNIVERSAL_NAME_INFO structure contains a pointer to a Universal Naming Convention (UNC) name string for a network resource.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Winnetwk.UNIVERSAL_NAME_INFO.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `lpUniversalName`
  Pointer to the null-terminated UNC name string that identifies a network resource.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UNIVERSAL_NAME_INFO()`
  `UNIVERSAL_NAME_INFO(Pointer address)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### lpUniversalName

    public String lpUniversalName
    Pointer to the null-terminated UNC name string that identifies a network resource.

- ## Constructor Details

  - ### UNIVERSAL_NAME_INFO

    public UNIVERSAL_NAME_INFO()

  - ### UNIVERSAL_NAME_INFO

    public UNIVERSAL_NAME_INFO(Pointer address)